#include <bits/stdc++.h>

using namespace std;
std::vector<int> solve(std::vector<std::pair<int, int>> R, std::vector<long long> D, std::vector<int> S, std::vector<int> T, std::vector<bool> I){
    std::vector <int> rec;
    for (int i = 0; i < D.size(); i++)
            rec.push_back(0);
    return rec;
}